nvme_mi_aem_process(2)

NAME
nvme_mi_aem_process - Process AEM on the provided endpoint

SYNOPSIS
int nvme_mi_aem_process (nvme_mi_ep_t ep , void *userdata );

ARGUMENTS

ep  Endpoint to process

userdata
    Application provided context pointer for callback function

DESCRIPTION
Call this if poll indicates data is available on the fd provided by nvme_mi_aem_get_fd

This will call the fn pointer, aem_handler, provided with nvme_mi_aem_config and the application can call nvme_mi_aem_get_next_event from within this callback to get aem event data. The callback function should return NVME_MI_AEM_HNA_ACK for normal operation.

RETURN
0 is a success, nonzero is an error and errno may be read for further details